package com.casic.missiles.service.cockpit;

import com.casic.missiles.dto.business.order.SampleOverdueResponse;
import com.casic.missiles.dto.business.order.SampleOverdueTotalResponse;
import com.casic.missiles.dto.business.order.labIncomeResponse;
import com.casic.missiles.dto.business.order.labIncomeTotalResponse;
import com.casic.missiles.dto.cockpit.AnnualDataResponse;
import com.casic.missiles.dto.cockpit.MeasureWorkResponse;
import com.casic.missiles.dto.cockpit.TrafficStatisticsResponse;
import com.casic.missiles.dto.customer.CustomerExcellentResponse;

import java.util.List;

/**
 * @Description:
 * @Author: wangpeng
 * @Date: 2023/6/5 13:55
 */
public interface IHomepageService {
    MeasureWorkResponse measureWork();

    List<TrafficStatisticsResponse> trafficStatistics(Integer months);

    AnnualDataResponse annualData();

    List<labIncomeResponse> labIncomeList(String dimension);

    labIncomeTotalResponse labIncomeTotal(String dimension);

    List<SampleOverdueResponse> sampleOverdue();

    SampleOverdueTotalResponse sampleOverdueTotal();

    List<CustomerExcellentResponse> customerExcellentList();
}
